/*!
 * The following copyright notice may not be removed under any circumstances.
 * 
 * Copyright:
 * Copyright (c) 2011, Claus Eggers Srensen, with Reserved Font Names "Playfair".
 * This Font Software is licensed under the SIL Open Font License, Version 1.1.
 * This license is available with a FAQ at: http://scripts.sil.org/OFL
 * 
 * Trademark:
 * Playfair is a trademark of Claus Eggers Srensen.
 * 
 * Description:
 * Playfair Display is a transitional design. From the time of enlightenment in
 * the late 18th century, the broad nib quills were replaced by pointed steel pens.
 * This influenced typographical letterforms to become increasingly detached from
 * the written ones. Developments in printing technology, ink and paper making,
 * made it possible to print letterforms of high contrast and fine hairlines.

This
 * design lends itself to this period, and while it is not a revival of any
 * particular design, it take influence from the printer and typeface designer John
 * Baskervilles designs, the punchcutter William Martins typeface for the
 * Boydell Shakespeare (sic) edition, and from the Scotch Roman designs that
 * followed thereafter.

As the name indicates, Playfair Display is well suited for
 * titling and headlines. It has an extra large x-height and short decenders, that
 * enable it to be set with no leading. Stylistically it can accompany Georgia when
 * Georgia is used for body text.

Playfair includes a full set of small caps,
 * common ligatures, and discretionary ligatures. For Polish, a set of alternate
 * diacritical characters designed with kreskas are included. All European
 * languages using the latin script are supported. A set of eight arrow devices are
 * also included.
 * 
 * Manufacturer:
 * Claus Eggers Srensen
 * 
 * Designer:
 * Claus Eggers Srensen
 * 
 * Vendor URL:
 * http://www.google.com/webfonts
 * 
 * License information:
 * http://scripts.sil.org/OFL
 */
Cufon.registerFont({"w":217,"face":{"font-family":"Playfair Display","font-weight":400,"font-stretch":"normal","units-per-em":"360","panose-1":"2 0 5 3 0 0 0 2 0 3","ascent":"288","descent":"-72","x-height":"5","bbox":"-54.0693 -309 348 70","underline-thickness":"7.2","underline-position":"-28.8","unicode-range":"U+0020-U+2122"},"glyphs":{" ":{"w":87},"F":{"d":"143,-84v0,-21,-5,-41,-25,-41r-43,0v6,47,-22,126,37,118r0,7r-99,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r179,0v-3,20,-3,44,-1,65r-8,0v-4,-31,-4,-58,-38,-57v-34,1,-70,-10,-70,30r0,85v38,2,72,2,67,-40r8,0v1,30,-2,61,2,88r-9,0","w":208,"k":{"]":3,"&":2,"\/":12,"@":7,"4":10,";":3,"o":15,"e":15,"d":15,"q":15,"c":15,"\u2014":13,"\u2013":13,"-":13,"l":3,"h":3,"k":3,"s":12,"a":14,"g":15,".":23,",":23,"\u2026":23,"A":17,"z":2}},"L":{"d":"149,-8v34,0,37,-34,41,-68r8,0v0,26,-3,52,1,76r-186,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r91,0r0,7v-22,0,-29,8,-29,31r0,179v-7,41,39,30,74,30","w":213,"k":{"T":18,"U":4,"V":28,"W":19,"Y":17,"J":3,"p":3,"u":3,"t":4,"j":3,"v":14,"y":17,"?":6,")":6,"*":28,"7":13,"w":14,"\u201d":28,"\u2019":28,"'":27,"\"":27,"\\":14,"\u2122":23,"\u201c":30,"\u2018":30,"}":3,"]":3}},"O":{"d":"135,-253v-60,0,-77,60,-77,126v0,65,20,120,79,126v59,-7,77,-61,77,-127v0,-65,-19,-125,-79,-125xm136,5v-76,0,-114,-51,-114,-130v0,-79,38,-135,114,-135v76,0,114,51,114,130v0,79,-38,135,-114,135","w":271,"k":{"F":2,"U":2,"V":5,"W":4,"Y":6,"J":3,"?":7,")":11,"\\":3,"l":4,"b":2,"h":4,"k":4,"g":2,".":10,",":10,"\u2026":10,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":6,"}":8,"]":6,"X":8,"x":5,"!":3,"1":4,"\/":3}},"B":{"d":"42,-217v2,-23,-8,-31,-29,-31r0,-7v74,1,174,-15,174,57v0,37,-25,53,-55,63v41,7,74,22,74,65v0,86,-106,67,-193,70r0,-7v21,0,29,-8,29,-31r0,-179xm75,-38v-1,21,5,30,27,30v46,0,67,-20,68,-63v1,-51,-39,-62,-95,-58r0,91xm152,-194v0,-36,-14,-54,-50,-54v-48,-2,-20,72,-27,113v50,4,77,-11,77,-59","w":227,"k":{"\u2122":3,"]":5,"}":8,"\\":4,"7":3,"1":4,"*":4,")":10,"?":6,"x":9,"v":4,"p":3,"X":12,"V":6,"F":2,"T":3,"U":2,"W":5,"Y":7,"J":2,"u":3,"t":3,"j":3,"y":4,"w":3,"l":3,"b":2,"h":3,"k":3,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":2,"z":4,"Z":2,"n":3,"r":3,"m":3,"f":3,"i":3}},"S":{"d":"151,-240v9,0,2,-20,16,-16r-2,73r-8,0v-5,-37,-18,-66,-59,-69v-43,-3,-56,54,-26,79v39,33,107,43,107,110v0,46,-31,66,-76,68v-30,1,-42,-13,-62,-18v-9,0,-2,20,-16,16r2,-87r8,0v4,45,18,82,65,82v30,0,47,-17,47,-48v0,-79,-120,-61,-120,-147v0,-41,27,-60,68,-62v27,-1,37,13,56,19","w":205,"k":{"p":2,"u":2,"j":2,"v":2,"y":2,")":6,"w":2,"l":3,"b":2,"h":3,"k":3,"g":2,"z":3,"}":4,"]":3,"x":3,"n":2,"r":2,"m":2,"f":2,"i":2}},"T":{"d":"55,-7v26,1,37,-8,37,-35r0,-205r-38,0v-34,2,-37,34,-41,68r-8,0v0,-26,2,-52,-1,-76r209,0r-1,76r-8,0v-4,-34,-7,-68,-41,-68r-38,0r0,205v-1,27,10,36,37,35r0,7r-107,0r0,-7","k":{"@":9,"o":16,"e":16,"d":16,"q":16,"c":16,"4":15,"\u2014":24,"\u2013":24,"-":24,"l":3,"h":3,"k":3,"s":8,"a":9,"g":12,".":15,",":15,"\u2026":15,"A":17,"\/":10,"&":4}},"U":{"d":"123,5v-108,0,-87,-120,-87,-222v0,-23,-7,-32,-29,-31r0,-7r92,0r0,7v-22,-1,-31,8,-29,31v8,82,-30,208,57,209v95,2,64,-121,69,-209v2,-23,-8,-31,-29,-31r0,-7r66,0r0,7v-22,0,-29,8,-29,31v0,100,21,222,-81,222","w":240,"k":{"@":3,"F":4,"O":2,"C":2,"G":2,"Q":2,"o":7,"e":7,"d":7,"q":7,"c":7,"p":5,"u":5,"t":3,"j":2,"v":3,"y":3,"w":3,"\u2014":7,"\u2013":7,"-":7,"l":5,"b":3,"h":5,"k":5,"s":8,"a":8,"g":9,".":12,",":12,"\u2026":12,"A":10,"z":7,"}":3,"]":4,"x":4,"\/":7,"n":6,"r":6,"m":6,"f":4,"i":2,":":5,";":6}},"V":{"d":"88,-248v-22,-2,-29,11,-21,31r66,170r70,-185v1,-15,-11,-15,-25,-16r0,-7v19,0,39,2,57,0v-1,15,-21,8,-25,30r-88,227r-6,0r-88,-227v-5,-14,-12,-21,-24,-23r0,-7r84,0r0,7","w":238,"k":{"\u2122":-4,"&":5,"\\":-4,"\/":15,"@":13,"8":4,"7":-6,"6":6,"4":14,"0":5,";":10,":":9,"?":-4,"x":6,"v":4,"p":8,"O":6,"C":6,"G":6,"Q":6,"o":21,"e":21,"d":21,"q":21,"c":21,"u":7,"t":2,"y":4,"w":4,"\u2014":17,"\u2013":17,"-":17,"l":3,"h":3,"k":3,"s":17,"a":18,"g":21,".":24,",":24,"\u2026":24,"A":19,"z":13,"n":9,"r":9,"m":9,"f":4}},"W":{"d":"88,-248v-25,-3,-27,12,-21,31r54,164r60,-154r6,0r60,153r52,-179v1,-14,-11,-14,-24,-15r0,-7v19,0,39,2,57,0r0,7v-15,1,-21,11,-25,23r-67,227r-6,0r-63,-160r-60,160r-6,0r-77,-227v-4,-14,-12,-21,-24,-23r0,-7r84,0r0,7","w":335,"k":{"@":11,"F":2,"O":5,"C":5,"G":5,"Q":5,"o":17,"e":17,"d":17,"q":17,"c":17,"p":7,"u":6,"t":2,"v":3,"y":3,"4":12,"7":-2,"w":3,"\u2014":14,"\u2013":14,"-":14,"l":4,"h":4,"k":4,"s":15,"a":15,"g":16,".":21,",":21,"\u2026":21,"A":17,"z":11,"x":5,"\/":14,"n":8,"r":8,"m":8,"f":4,"&":5,":":9,";":9,"0":5,"6":5,"8":4}},"Y":{"d":"68,-7v43,5,27,-49,30,-85r-74,-136v-8,-13,-10,-16,-20,-20r0,-7v24,4,56,1,82,0r0,7v-11,2,-36,-2,-28,14r67,127v20,-46,48,-87,64,-135v-3,-7,-17,-4,-26,-6r0,-7v16,0,37,2,51,0v-1,15,-11,10,-20,27r-63,124v5,39,-17,102,29,97r0,7r-92,0r0,-7","k":{"@":12,"O":8,"C":8,"G":8,"Q":8,"o":20,"e":20,"d":20,"q":20,"c":20,"p":7,"u":6,"v":3,"y":3,"4":14,"w":4,"\u2014":24,"\u2013":24,"-":24,"l":4,"b":2,"h":4,"k":4,"s":17,"a":17,"g":21,".":15,",":15,"\u2026":15,"A":17,"z":12,"]":3,"x":4,"\/":10,"n":7,"r":7,"m":7,"f":3,"&":5,":":10,";":10,"0":6,"6":7,"8":4}},"X":{"d":"6,-255r80,0r0,7v-14,1,-28,0,-20,13r57,89r51,-79v12,-19,0,-23,-23,-23r0,-7r65,0v-1,15,-22,6,-29,24r-60,92r83,127v3,2,7,4,12,4r0,8r-80,0r0,-8v15,0,28,1,20,-12r-62,-96r-54,86v-11,19,-1,23,22,23r0,7r-64,0v1,-15,21,-6,28,-24r64,-99r-79,-121v-3,-2,-6,-4,-11,-4r0,-7","w":228,"k":{"&":5,"4":5,"v":18,"p":3,"O":8,"C":8,"G":8,"Q":8,"o":10,"e":10,"d":10,"q":10,"c":10,"u":6,"t":2,"y":19,"w":17,"\u2014":12,"\u2013":12,"-":12,"g":4}},"Z":{"d":"148,-8v34,-2,37,-34,41,-68r8,0v-2,22,-1,53,2,76r-177,0r0,-7r134,-240r-83,0v-34,2,-37,34,-41,68r-8,0r-2,-76r174,0r0,7r-134,240r86,0","w":220,"k":{"o":2,"e":2,"d":2,"q":2,"c":2,"p":4,"u":4,"t":4,"j":2,"v":8,"y":9,"*":4,"w":8,"\u2014":4,"\u2013":4,"-":4,"b":2,"g":2,"z":2}},"D":{"d":"13,-255v123,-5,225,2,225,125v0,120,-98,138,-225,130r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7xm102,-6v77,0,100,-46,100,-123v0,-76,-24,-119,-100,-119v-23,0,-28,9,-27,31r0,180v-2,22,6,31,27,31","w":252,"k":{"F":2,"U":2,"V":5,"W":4,"Y":7,"J":3,"?":7,")":11,"\\":3,"l":4,"b":2,"h":4,"k":4,".":11,",":11,"\u2026":11,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":6,"}":8,"]":5,"X":9,"x":5,"!":3,"1":4,"\/":4}},"C":{"d":"139,-2v53,0,78,-32,81,-84r8,0r1,86r-8,0v-4,-46,-38,7,-63,3v-88,11,-136,-42,-136,-128v0,-105,97,-171,180,-112v13,10,15,-3,17,-18r8,0r-2,83r-8,0v-4,-50,-30,-81,-82,-81v-61,0,-77,61,-77,126v0,67,19,125,81,125","w":254,"k":{"\u2014":3,"\u2013":3,"-":3,"g":2}},"G":{"d":"143,-2v18,0,48,2,48,-20v-1,-40,9,-87,-36,-80r0,-7r88,0r0,7v-27,-3,-16,33,-18,57v0,6,1,9,5,9v9,0,20,-19,25,-6v-32,23,-60,48,-115,47v-79,-1,-113,-49,-118,-128v-7,-106,97,-172,180,-114v14,10,14,-2,17,-18r8,0r-2,83r-8,0v-5,-48,-29,-81,-80,-81v-62,0,-78,60,-79,126v0,77,18,125,85,125","w":270,"k":{"T":2,"p":2,"u":2,"t":2,"j":2,"v":3,"y":3,")":7,"*":6,"w":3,"\u201d":5,"\u2019":5,"'":5,"\"":5,"\u2014":3,"\u2013":3,"-":3,"\u2122":3,"l":3,"h":3,"k":3,"z":3,"\u201c":5,"\u2018":5,"}":5,"]":4,"X":4,"x":6,"n":2,"r":2,"m":2,"f":2,"i":2}},"N":{"d":"239,-248v-22,-1,-29,8,-29,31r0,219r-9,0r-151,-234r0,194v-2,23,7,31,29,31r0,7r-66,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r66,0r122,189r0,-151v2,-23,-7,-32,-29,-31r0,-7r67,0r0,7","w":251,"k":{"@":3,"F":3,"O":3,"C":3,"G":3,"Q":3,"o":8,"e":8,"d":8,"q":8,"c":8,"p":6,"u":6,"t":3,"j":3,"v":4,"y":4,"4":3,"w":4,"\u2014":8,"\u2013":8,"-":8,"l":5,"b":4,"h":5,"k":5,"s":7,"a":6,"g":8,".":8,",":8,"\u2026":8,"A":2,"z":6,"}":3,"]":4,"x":3,"\/":3,"n":5,"r":5,"m":5,"f":4,"i":3,"&":2,":":4,";":5,"0":3,"6":3,"8":3}},"M":{"d":"42,-217v2,-23,-8,-31,-29,-31r0,-7r66,0r81,207r73,-206r63,-1r0,7v-22,-1,-29,8,-29,31r0,179v-2,23,7,31,29,31r0,7r-92,0r0,-7v22,0,29,-8,29,-31r0,-193r-83,233r-6,0r-94,-234r0,194v-2,23,7,31,29,31r0,7r-66,0r0,-7v21,0,29,-8,29,-31r0,-179","w":308,"k":{"O":3,"C":3,"G":3,"Q":3,"o":6,"e":6,"d":6,"q":6,"c":6,"p":4,"u":5,"t":3,"j":2,"v":4,"y":5,"4":3,"w":4,"\u2014":9,"\u2013":9,"-":9,"b":2,"s":2,"a":3,"g":5,"0":3}},"Q":{"d":"120,4v-65,-9,-98,-55,-98,-129v0,-79,38,-129,114,-135v136,-10,148,213,46,255v-30,12,-63,13,-90,27v56,8,151,42,178,-14r5,2v-10,35,-27,58,-71,58v-52,0,-80,-29,-125,-41v-11,4,-41,12,-46,-2v7,-16,50,2,63,-10xm135,-253v-60,0,-77,60,-77,126v0,65,20,120,79,126v59,-7,77,-61,77,-127v0,-65,-19,-125,-79,-125","w":271,"k":{"j":-27,"F":2,"U":2,"V":5,"W":4,"Y":6,"J":3,"?":7,")":11,"\\":3,"l":4,"b":2,"h":4,"k":4,"g":2,".":10,",":10,"\u2026":10,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":6,"}":8,"]":6,"X":8,"x":5,"!":3,"1":4,"\/":3}},"K":{"d":"200,-29v9,10,14,15,29,22r0,7r-84,0r0,-7v20,-2,28,-1,17,-16r-82,-108r96,-104v7,-13,-5,-11,-23,-13r0,-7v20,1,45,2,64,0r0,7v-12,1,-21,3,-29,11r-81,88xm104,-248v-22,0,-29,8,-29,31r0,179v-2,23,8,31,29,31r0,7r-91,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r91,0r0,7","w":232,"k":{"O":14,"C":14,"G":14,"Q":14,"o":12,"e":12,"d":12,"q":12,"c":12,"p":2,"u":6,"t":4,"v":25,"y":27,"*":6,"4":6,"w":24,"\u2014":15,"\u2013":15,"-":15,"g":5,"\/":-2,"&":5}},"J":{"d":"-31,55v59,25,73,-35,73,-107r0,-165v2,-23,-8,-31,-29,-31r0,-7r91,0r0,7v-22,0,-29,8,-29,31v0,113,37,282,-82,285v-25,0,-47,-11,-47,-32v-1,-11,9,-19,19,-19v24,-2,26,36,4,38","w":117,"k":{"]":3,"}":3,"@":3,"F":3,"O":3,"C":3,"G":3,"Q":3,"o":8,"e":8,"d":8,"q":8,"c":8,"p":6,"u":6,"t":3,"j":3,"v":4,"y":4,"4":3,"w":4,"\u2014":8,"\u2013":8,"-":8,"l":5,"b":4,"h":5,"k":5,"s":7,"a":7,"g":8,".":8,",":8,"\u2026":8,"A":3,"z":6,"x":3,"\/":4,"n":5,"r":5,"m":5,"f":4,"i":3,"&":2,":":4,";":5,"0":3,"6":3}},"o":{"d":"100,-183v-41,0,-47,44,-47,90v0,47,6,87,47,91v41,-5,47,-45,47,-91v0,-45,-7,-90,-47,-90xm100,5v-57,0,-82,-38,-82,-98v1,-59,25,-97,82,-97v57,0,80,38,81,97v0,60,-24,98,-81,98","w":199,"k":{"J":6,"Z":6,"X":12,"Y":21,"W":16,"V":20,"T":14,"F":4,"U":6,"p":2,"u":1,"t":1,"j":2,"v":2,"y":3,"?":12,")":13,"w":2,"\u201d":5,"\u2019":5,"'":5,"\"":5,"\\":10,"\u2122":4,"l":2,"h":2,"k":2,".":3,",":3,"\u2026":3,"L":5,"B":5,"D":5,"N":5,"M":5,"K":5,"E":5,"H":5,"I":5,"R":5,"P":5,"A":2,"\u201c":5,"\u2018":5,"}":10,"]":8,"x":8,"!":4,"n":1,"r":1,"m":1,"f":2,"i":1,"|":4}},"e":{"d":"54,-111v-5,51,9,101,54,101v27,0,43,-13,53,-36r7,3v-11,26,-31,48,-67,48v-55,0,-79,-38,-83,-93v-6,-80,74,-133,131,-83v13,12,18,33,18,60r-113,0xm132,-118v8,-49,-33,-89,-63,-49v-9,11,-14,28,-16,49r79,0","w":186,"k":{"J":5,"Z":3,"X":5,"Y":21,"W":15,"V":18,"T":11,"F":2,"U":6,"y":1,"?":11,")":12,"\u201d":4,"\u2019":4,"'":4,"\"":4,"\u2014":4,"\u2013":4,"-":4,"\\":9,"\u2122":5,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"\u201c":3,"\u2018":3,"}":9,"]":7,"x":4,"|":3}},"l":{"d":"67,-33v0,20,7,25,27,25r0,8r-87,0r0,-8v21,0,28,-6,28,-25r0,-206v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r0,249","w":101,"k":{"J":4,"Y":2,"W":2,"V":2,"T":2,"O":3,"C":3,"G":3,"Q":3,"U":4,"o":2,"e":2,"d":2,"q":2,"c":2,"p":1,"u":2,"j":1,"v":2,"y":2,"w":2,"\u2014":6,"\u2013":6,"-":6,"&":2}},"b":{"d":"184,-93v6,79,-77,127,-128,77v-10,6,-19,26,-31,19v6,-75,0,-163,2,-242v0,-22,-5,-31,-27,-31r0,-8v21,2,44,2,60,-4r0,130v8,-21,30,-39,56,-38v51,3,64,43,68,97xm60,-21v9,9,25,19,41,18v40,-4,48,-39,48,-90v0,-58,-15,-87,-44,-87v-26,0,-38,21,-45,44r0,115","w":202,"k":{"F":4,"T":14,"U":6,"V":20,"W":15,"Y":21,"J":6,"p":1,"u":1,"j":1,"v":2,"y":3,"?":12,")":13,"w":2,"\u201d":6,"\u2019":6,"'":6,"\"":6,"\\":10,"\u2122":5,"l":2,"h":2,"k":2,".":3,",":3,"\u2026":3,"L":5,"B":5,"D":5,"N":5,"M":5,"K":5,"E":5,"H":5,"I":5,"R":5,"P":5,"A":2,"\u201c":6,"\u2018":6,"}":10,"]":7,"X":13,"x":8,"!":5,"Z":6,"n":1,"r":1,"m":1,"f":1,"i":1,"|":3}},"d":{"d":"96,-190v22,0,38,6,47,20v-5,-38,16,-102,-27,-101r0,-7v20,2,44,2,59,-4r0,243v1,22,6,31,28,31r0,8v-22,-2,-44,-2,-60,4r0,-35v-8,18,-29,37,-52,36v-53,-2,-73,-43,-73,-98v0,-57,24,-97,78,-97xm143,-159v-9,-14,-23,-24,-44,-23v-37,2,-46,41,-46,89v0,96,74,112,90,44r0,-110","w":209,"k":{"J":4,"Y":3,"W":2,"V":3,"T":2,"O":3,"C":3,"G":3,"Q":3,"U":4,"o":2,"e":2,"d":2,"q":2,"c":2,"p":1,"u":2,"t":1,"j":1,"v":2,"y":2,"w":2,"\u2014":6,"\u2013":6,"-":6,"&":2}},"p":{"d":"192,-100v5,74,-62,131,-125,92v-1,35,-4,71,35,66r0,7r-91,0r0,-7v17,-1,23,-5,24,-23r0,-181v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r0,38v6,-21,28,-40,57,-39v50,1,64,40,68,90xm113,-180v-27,0,-40,23,-46,45r0,118v10,9,23,14,37,14v47,-1,53,-48,53,-96v0,-45,-8,-81,-44,-81","w":209,"k":{"F":4,"T":14,"U":6,"V":20,"W":15,"Y":21,"J":6,"p":1,"u":1,"j":1,"v":2,"y":3,"?":12,")":13,"w":2,"\u201d":6,"\u2019":6,"'":6,"\"":6,"\\":10,"\u2122":5,"l":2,"h":2,"k":2,".":3,",":3,"\u2026":3,"L":5,"B":5,"D":5,"N":5,"M":5,"K":5,"E":5,"H":5,"I":5,"R":5,"P":5,"A":2,"\u201c":6,"\u2018":6,"}":10,"]":7,"X":13,"x":8,"!":5,"Z":6,"n":1,"r":1,"m":1,"f":1,"i":1,"|":3}},"n":{"d":"67,-147v10,-28,30,-42,61,-43v74,-4,47,92,51,157v1,20,7,25,27,25r0,8r-83,0r0,-8v18,0,24,-7,24,-25r0,-105v0,-24,-6,-42,-30,-41v-61,3,-49,82,-50,146v0,19,6,25,24,25r0,8r-84,0r0,-8v21,0,28,-6,28,-25r0,-113v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r0,42","w":213,"k":{"O":3,"C":3,"G":3,"Q":3,"T":14,"U":9,"V":22,"W":18,"Y":23,"J":7,"o":1,"e":1,"d":1,"q":1,"c":1,"p":2,"u":3,"t":2,"j":2,"v":4,"y":5,"?":9,")":8,"*":4,"w":4,"\u201d":5,"\u2019":5,"'":5,"\"":5,"\u2014":6,"\u2013":6,"-":6,"\\":12,"\u2122":6,"\u201c":5,"\u2018":5,"}":5,"]":5}},"q":{"d":"143,-30v-8,19,-28,35,-51,35v-53,-3,-74,-42,-74,-98v0,-56,23,-97,77,-97v26,0,42,9,51,26v11,-7,17,-29,31,-25v-5,70,-1,150,-2,224v0,19,6,22,24,23r0,7r-91,0r0,-7v47,5,33,-48,35,-88xm143,-158v-8,-14,-24,-26,-45,-24v-36,3,-45,41,-45,89v0,49,10,87,50,87v20,0,35,-20,40,-41r0,-111","w":205,"k":{"\\":6,"?":10,"j":-26,"J":-57,"Z":2,"Y":16,"W":12,"V":13,"T":3,"F":2,"U":6,"\u2014":4,"\u2013":4,"-":4,"L":4,"B":4,"D":4,"N":4,"M":4,"K":4,"E":4,"H":4,"I":4,"R":4,"P":4}},"c":{"d":"122,-150v0,-11,6,-17,15,-19v-4,-8,-19,-16,-33,-15v-41,4,-50,43,-51,89v-1,46,11,85,51,85v25,0,44,-16,53,-38r7,3v-10,27,-28,50,-66,50v-54,0,-80,-39,-80,-95v0,-58,27,-99,84,-100v31,-1,57,11,59,39v1,12,-8,20,-20,20v-11,0,-20,-7,-19,-19","w":178,"k":{"J":4,"X":7,"Y":19,"W":12,"V":17,"T":3,"F":4,"U":4,"?":9,")":9,"\u2014":6,"\u2013":6,"-":6,"\\":5,"\u2122":4,"L":5,"B":5,"D":5,"N":5,"M":5,"K":5,"E":5,"H":5,"I":5,"R":5,"P":5,"}":5,"]":5}},"r":{"d":"132,-143v-19,2,-27,-31,-7,-34v-58,-14,-58,72,-58,140v0,24,15,28,38,29r0,8r-98,0r0,-8v21,0,28,-6,28,-25r0,-113v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r0,45v9,-22,23,-44,52,-46v18,-1,33,12,33,28v1,11,-8,20,-20,19","w":159,"k":{"J":5,"X":15,"Y":9,"W":4,"V":7,"F":3,"U":4,"o":1,"e":1,"d":1,"q":1,"c":1,"?":12,")":11,"\u2014":13,"\u2013":13,"-":13,"l":2,"h":2,"k":2,".":13,",":13,"\u2026":13,"L":5,"B":5,"D":5,"N":5,"M":5,"K":5,"E":5,"H":5,"I":5,"R":5,"P":5,"A":10,"}":6,"]":5,"\/":7,"&":10}},"m":{"d":"67,-147v8,-50,105,-63,107,-1v10,-24,28,-40,60,-42v71,-3,46,92,50,157v1,20,7,25,27,25r0,8r-83,0r0,-8v18,0,23,-6,23,-25r0,-120v-2,-15,-9,-27,-27,-26v-60,4,-48,83,-49,146v0,20,7,25,28,25r0,8r-84,0r0,-8v18,0,25,-6,24,-25r-1,-120v-1,-16,-8,-27,-26,-26v-60,4,-48,83,-49,146v0,19,6,25,24,25r0,8r-84,0r0,-8v21,0,28,-6,28,-25r0,-113v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r0,42","w":318,"k":{"O":3,"C":3,"G":3,"Q":3,"T":14,"U":9,"V":22,"W":18,"Y":23,"J":7,"o":1,"e":1,"d":1,"q":1,"c":1,"p":2,"u":3,"t":2,"j":2,"v":4,"y":5,"?":9,")":8,"*":4,"w":4,"\u201d":5,"\u2019":5,"'":5,"\"":5,"\u2014":6,"\u2013":6,"-":6,"\\":12,"\u2122":6,"\u201c":5,"\u2018":5,"}":5,"]":5}},"h":{"d":"7,-278v21,2,44,2,60,-4r0,135v10,-28,30,-42,61,-43v74,-4,47,92,51,157v1,20,7,25,27,25r0,8r-83,0r0,-8v18,0,24,-7,24,-25r0,-105v0,-24,-6,-42,-30,-41v-61,3,-49,82,-50,146v0,19,6,25,24,25r0,8r-84,0r0,-8v21,0,28,-6,28,-25r0,-206v-1,-22,-6,-31,-28,-31r0,-8","w":213,"k":{"O":3,"C":3,"G":3,"Q":3,"T":14,"U":9,"V":22,"W":18,"Y":23,"J":7,"o":1,"e":1,"d":1,"q":1,"c":1,"p":2,"u":3,"t":2,"j":2,"v":4,"y":5,"?":9,")":8,"*":4,"w":4,"\u201d":5,"\u2019":5,"'":5,"\"":5,"\u2014":6,"\u2013":6,"-":6,"\\":12,"\u2122":6,"\u201c":5,"\u2018":5,"}":5,"]":5}},"u":{"d":"112,-185v21,2,44,2,60,-4r0,150v0,23,5,32,27,32r0,7v-22,-2,-44,-2,-60,4r0,-42v-9,28,-29,41,-59,43v-68,4,-46,-87,-49,-151v-1,-22,-5,-31,-27,-32r0,-7v20,2,44,2,59,-4r1,157v0,17,10,26,27,26v58,0,48,-78,48,-140v0,-23,-5,-32,-27,-32r0,-7","w":206,"k":{"J":8,"Y":19,"W":17,"V":21,"T":7,"O":3,"C":3,"G":3,"Q":3,"U":9,"o":2,"e":2,"d":2,"q":2,"c":2,"p":1,"u":2,"j":1,"v":2,"y":2,"?":9,")":8,"*":3,"w":2,"\u201d":4,"\u2019":4,"\u2014":7,"\u2013":7,"-":7,"\\":10,"\u2122":5,"}":5,"]":6,"&":2}},"t":{"d":"31,-240v11,-1,23,-2,32,-5r0,60r54,0r0,7r-54,0r0,139v0,21,6,29,23,31v20,-2,26,-17,33,-38r7,1v-4,28,-16,49,-47,50v-77,0,-39,-114,-48,-183r-35,0r0,-7r35,0r0,-55","w":127,"k":{"Y":6,"W":4,"V":6,"U":2,"?":8,")":7,"\u2014":10,"\u2013":10,"-":10,"\u2122":5}},"f":{"d":"119,-230v-23,3,-26,-35,-5,-38v-29,-23,-52,9,-47,52r0,31r38,0r0,7r-38,0r0,141v0,24,15,28,38,29r0,8r-98,0r0,-8v21,0,28,-6,28,-25r0,-145r-29,0r0,-7r29,0v-2,-54,11,-92,61,-97v35,-3,61,47,23,52","w":117,"k":{"\u2122":-20,"]":-17,"}":-16,"|":-5,"\\":-22,"\u2018":-6,"\u201c":-3,"*":-17,")":-13,"!":-7,"?":-22,"J":-20,"Z":-14,"X":-27,"Y":-35,"W":-37,"V":-36,"T":-23,"U":-23,"o":3,"e":3,"d":3,"q":3,"c":3,"\u201d":-18,"\u2019":-18,"'":-18,"\"":-18,"\u2014":11,"\u2013":11,"-":11,"L":-18,"B":-18,"D":-18,"N":-18,"M":-18,"K":-18,"E":-18,"H":-18,"I":-18,"R":-18,"P":-18}},"j":{"d":"-5,27v22,-1,26,31,5,35v26,2,34,-15,35,-39r0,-169v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r-1,172v0,47,-19,80,-62,85v-29,3,-40,-40,-9,-41xm47,-228v-12,2,-23,-12,-23,-23v0,-11,12,-23,23,-23v11,0,23,12,23,23v0,11,-11,25,-23,23","w":101,"k":{"J":-26,"F":3,")":3,"\u2014":3,"\u2013":3,"-":3}},"i":{"d":"67,-33v0,20,7,25,27,25r0,8r-87,0r0,-8v21,0,28,-6,28,-25r0,-113v-1,-22,-6,-31,-28,-32r0,-7v21,2,44,2,60,-4r0,156xm48,-228v-12,2,-24,-11,-24,-23v0,-12,12,-23,24,-23v11,0,23,12,23,23v0,11,-11,25,-23,23","w":101,"k":{"J":4,"Y":2,"V":2,"T":2,"O":3,"C":3,"G":3,"Q":3,"U":4,"o":2,"e":2,"d":2,"q":2,"c":2,"p":1,"u":2,"j":1,"v":2,"y":2,")":4,"w":2,"\u2014":7,"\u2013":7,"-":7,"&":2}},"s":{"d":"140,-45v2,50,-72,64,-104,35v-8,-5,-10,5,-11,13r-8,0r1,-72r8,0v5,35,11,67,50,67v20,0,32,-12,32,-34v0,-58,-90,-46,-90,-108v0,-31,21,-46,53,-46v28,-8,48,37,54,0r8,0r-1,61r-9,0v-5,-29,-16,-53,-48,-55v-16,-1,-33,10,-30,28v10,56,93,45,95,111","w":158,"k":{"J":6,"X":3,"Y":14,"W":12,"V":14,"T":2,"F":1,"U":6,"?":10,")":11,"\u2014":5,"\u2013":5,"-":5,"\\":5,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"}":7,"]":6}},"a":{"d":"82,-190v78,-5,52,93,56,163v-3,25,17,20,28,10r3,6v-16,21,-69,19,-64,-19v-10,40,-98,49,-95,-9v3,-54,65,-48,92,-77v21,-41,-22,-95,-62,-54v24,4,16,38,-5,38v-11,0,-19,-10,-19,-20v6,-28,32,-36,66,-38xm48,-71v-13,19,-9,62,20,59v20,-2,28,-11,37,-27r0,-71v-15,16,-45,21,-57,39","w":172,"k":{"J":5,"Y":23,"W":17,"V":22,"T":14,"O":3,"C":3,"G":3,"Q":3,"U":9,"u":1,"t":1,"v":4,"y":5,"?":6,")":8,"*":4,"w":4,"\u201d":5,"\u2019":5,"'":5,"\"":5,"\u2014":6,"\u2013":6,"-":6,"\\":12,"\u2122":6,"\u201c":5,"\u2018":5,"}":5,"]":5}},"g":{"d":"56,-81v-21,-8,-36,-24,-36,-53v-1,-48,45,-63,92,-53v4,-23,14,-43,37,-46v11,-1,20,9,19,20v0,11,-7,20,-19,19v-11,0,-17,-6,-19,-15v-8,6,-9,14,-12,24v59,19,39,108,-32,108v-8,0,-16,0,-23,-2v-11,7,-24,13,-25,28v0,12,8,11,20,11v47,4,120,-16,117,35v-3,50,-44,73,-99,73v-31,0,-61,-7,-67,-32v3,-25,27,-35,45,-45v-20,0,-37,-7,-37,-27v0,-24,19,-33,39,-45xm154,10v0,-33,-60,-14,-91,-19v-41,15,-25,76,22,71v35,-4,69,-17,69,-52xm86,-184v-25,0,-32,18,-32,50v0,33,6,51,32,51v26,0,33,-19,33,-51v0,-32,-8,-50,-33,-50","w":183,"k":{"J":-49,"U":2,"u":1,"t":1,"j":-12,"v":3,"y":4,"w":3,"\u2014":8,"\u2013":8,"-":8}},"k":{"d":"7,-278v21,2,44,2,60,-4r0,180v32,-9,46,-36,67,-56v14,-14,4,-20,-17,-20r0,-7r64,0r0,7v-16,2,-22,6,-32,17r-48,49r81,99v3,3,7,4,13,5r0,8r-69,0r0,-8v9,0,15,-4,9,-12v-23,-24,-38,-58,-68,-75v5,33,-16,91,24,87r0,8r-84,0r0,-8v21,0,28,-6,28,-25r0,-206v-1,-22,-6,-31,-28,-32r0,-7","w":195,"k":{"Y":8,"W":6,"V":9,"O":11,"C":11,"G":11,"Q":11,"U":5,"o":12,"e":12,"d":12,"q":12,"c":12,"?":4,"\u2014":15,"\u2013":15,"-":15,"g":3,"&":5}},"v":{"d":"24,-158v-6,-13,-9,-18,-20,-20r0,-7v23,3,54,1,78,0r0,7v-13,0,-33,-1,-27,14r50,124r48,-132v-4,-7,-15,-6,-26,-6r0,-7v16,0,37,2,51,0v1,13,-18,8,-20,27r-61,160r-6,0","w":181,"k":{"]":4,"}":4,"&":3,"\/":8,")":10,"?":8,"J":3,"X":9,"Y":4,"V":3,"F":2,"U":2,"o":2,"e":2,"d":2,"q":2,"c":2,"\u2014":9,"\u2013":9,"-":9,"l":2,"h":2,"k":2,".":15,",":15,"\u2026":15,"L":4,"B":4,"D":4,"N":4,"M":4,"K":4,"E":4,"H":4,"I":4,"R":4,"P":4,"A":13}},"x":{"d":"4,-178v-1,-9,2,-7,11,-6r54,-1r0,7v-9,0,-14,4,-9,12r38,57r34,-48v11,-13,1,-21,-15,-21r0,-7v17,0,38,2,54,0r0,7v-15,1,-18,6,-26,17r-42,59r63,89v4,5,15,2,12,13r-64,0r0,-8v9,0,14,-4,9,-12r-42,-61r-39,52v-11,14,0,22,16,22r0,7v-17,0,-38,-2,-54,0r0,-7v36,-12,47,-56,72,-80v-20,-28,-39,-62,-61,-87v-3,-2,-7,-4,-11,-4","w":182,"k":{"&":6,")":3,"?":5,"J":2,"Y":7,"W":5,"V":8,"O":6,"C":6,"G":6,"Q":6,"U":4,"o":8,"e":8,"d":8,"q":8,"c":8,"\u2014":14,"\u2013":14,"-":14,"g":4}},"y":{"d":"32,27v19,-2,24,28,9,33v31,-1,33,-38,45,-60r-65,-158v-5,-11,-11,-18,-25,-20r0,-7v24,3,56,1,82,0r0,7v-13,0,-33,-1,-27,14r50,124r48,-132v-4,-7,-15,-6,-26,-6r0,-7v16,0,38,2,52,0v1,14,-19,7,-21,27r-80,206v-10,20,-59,32,-61,-2v0,-12,7,-18,19,-19","w":178,"k":{"J":3,"X":9,"Y":4,"W":2,"V":3,"F":2,"U":3,"o":3,"e":3,"d":3,"q":3,"c":3,"?":8,")":10,"\u2014":9,"\u2013":9,"-":9,"l":2,"h":2,"k":2,".":16,",":16,"\u2026":16,"L":4,"B":4,"D":4,"N":4,"M":4,"K":4,"E":4,"H":4,"I":4,"R":4,"P":4,"A":13,"}":4,"]":4,"\/":8,"&":3}},"z":{"d":"64,-180v-28,1,-32,26,-35,54r-8,0r-2,-61r140,0r-104,182r54,0v29,-2,32,-26,35,-55r9,0r1,61r-140,1r104,-182r-54,0","w":173,"k":{"J":4,"Y":10,"W":7,"V":10,"U":5,"?":9,")":8,"\u2014":12,"\u2013":12,"-":12,"\\":3,"}":4,"]":4}},"`":{"d":"22,-260v-12,-6,-24,-34,-1,-36v28,14,31,53,52,77v-17,0,-35,-32,-51,-41","w":80},".":{"d":"36,5v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23","w":71,"k":{"\"":32,"v":17,"p":4,"V":24,"O":10,"C":10,"G":10,"Q":10,"T":15,"U":11,"W":22,"Y":17,"J":-13,"o":3,"e":3,"d":3,"q":3,"c":3,"u":5,"t":6,"j":4,"y":18,"4":14,"7":15,"w":15,"\u201d":41,"\u2019":41,"'":32,"\u201c":42,"\u2018":42,"0":8,"6":6,"9":4}},",":{"d":"49,0v-14,12,-37,0,-36,-17v-2,-13,11,-25,23,-24v29,2,34,45,18,67v-6,10,-15,18,-28,24v-6,-17,33,-20,23,-50","w":75,"k":{"\"":32,"\u201d":41,"O":10,"C":10,"G":10,"Q":10,"T":15,"U":11,"W":22,"Y":17,"J":-13,"o":3,"e":3,"d":3,"q":3,"c":3,"u":5,"t":6,"j":4,"y":18,"4":14,"7":15,"w":15,"\u2019":41,"'":32,"\u201c":42,"\u2018":42,"0":8,"6":6,"9":4}},"?":{"d":"126,-210v4,-56,-50,-82,-86,-51v24,3,17,37,-5,37v-11,0,-19,-9,-19,-19v6,-28,32,-39,66,-39v44,0,76,22,76,65v0,49,-40,68,-81,80r0,53r-8,0r0,-56v33,-12,54,-28,57,-70xm73,5v-11,0,-23,-12,-23,-23v0,-11,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23","w":173},"!":{"d":"56,-261r-14,190r-6,0v0,-66,-11,-128,-13,-190v-1,-13,5,-21,16,-21v11,0,18,8,17,21xm39,5v-11,0,-23,-12,-23,-23v0,-11,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23","w":78},":":{"d":"36,5v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23xm36,-144v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23","w":69},";":{"d":"47,0v-14,12,-37,0,-36,-17v-2,-13,11,-25,23,-24v29,2,34,45,18,67v-6,10,-15,18,-28,24v-6,-17,33,-20,23,-50xm36,-144v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23","w":70},"(":{"d":"113,61v-72,-72,-72,-275,0,-346r-5,-5v-67,51,-105,180,-58,278v14,29,34,56,58,78","w":122,"k":{"{":7,"9":8,"8":9,"6":10,"5":6,"4":11,"3":6,"2":5,"0":11,"(":9,"x":4,"v":10,"j":-27,"F":5,"O":11,"C":11,"G":11,"Q":11,"J":-53,"o":13,"e":13,"d":13,"q":13,"c":13,"u":10,"t":8,"w":10,"b":-3,"s":10,"a":10,"A":3,"z":8,"n":7,"r":7,"m":7,"f":5,"S":6}},")":{"d":"9,61v72,-72,72,-275,0,-346r5,-5v67,51,105,180,58,278v-14,29,-34,56,-58,78","w":122,"k":{"]":4,"}":6,")":9}},"*":{"d":"79,-188v-4,-20,-11,-36,-12,-55v-1,-11,5,-19,13,-19v27,10,4,50,1,74v22,-17,27,-38,56,-42v15,3,12,21,-2,27v-16,7,-33,10,-53,17v25,10,71,7,63,38v-26,17,-46,-24,-64,-37v3,25,28,64,-1,74v-27,-10,-4,-50,-1,-74v-20,16,-29,40,-57,42v-13,-4,-11,-21,2,-27v16,-7,34,-9,54,-16v-25,-12,-68,-6,-64,-39v26,-17,46,24,65,37","w":159,"k":{"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":17}},"0":{"d":"109,-253v-47,5,-50,64,-51,126v-1,65,8,119,54,126v47,-6,52,-64,52,-127v0,-64,-9,-118,-55,-125xm111,5v-67,0,-89,-58,-89,-130v0,-72,23,-135,89,-135v124,0,118,265,0,265","w":221,"k":{"]":5,"}":7,"\/":3,"1":3,")":11,"V":5,"W":4,"Y":6,"J":3,".":9,",":9,"\u2026":9,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":5}},"1":{"d":"85,-33v0,20,7,25,27,25r0,8r-90,0r0,-8v24,1,31,-8,31,-33r0,-160v1,-26,-16,-28,-42,-28r0,-8v32,-5,53,-11,74,-21r0,225","w":121,"k":{"]":4,"}":4,"#":4,"+":4,"\\":3,"-":8,"6":3,"4":3,"0":3,")":6,"V":3,"O":4,"C":4,"G":4,"Q":4,"T":3,"U":4,"Y":3,"J":-23,"'":4,"\"":4}},"2":{"d":"145,33v-2,-53,-75,-28,-129,-32v39,-58,100,-109,104,-202v0,-28,-14,-51,-38,-51v-34,0,-60,22,-62,54v-3,36,53,30,63,7r5,4v-13,27,-75,32,-75,-10v0,-75,146,-89,141,-7v-5,83,-72,121,-109,176r110,0v0,20,-4,42,-2,61r-8,0","w":176,"k":{"]":3,"#":6,"+":8,"=":3,"-":15,"4":11,"J":-44}},"3":{"d":"130,-72v3,-48,-43,-83,-84,-58v-4,1,-8,-2,-7,-6v0,-8,10,-7,19,-6v32,-15,50,-29,50,-66v0,-26,-7,-43,-32,-45v-32,-3,-62,38,-27,48v7,-1,7,-1,10,5v-18,6,-34,-3,-34,-22v1,-26,27,-38,58,-38v59,0,78,61,35,90v-14,10,-34,22,-51,28v56,-6,97,16,97,70v0,51,-39,77,-91,77v-34,0,-59,-11,-64,-38v-2,-11,8,-20,19,-20v23,0,27,36,5,38v7,10,23,14,39,14v42,-1,56,-31,58,-71","w":176,"k":{"]":5,"}":7,"\\":3,"7":3,")":10,"V":4,"T":3,"W":3,"Y":4,"J":3,"'":4,"\"":4}},"4":{"d":"72,-8v35,5,26,-33,27,-62r-99,0r99,-150r0,-25v13,-3,19,-13,33,-15r0,183r42,0r0,7r-42,0v1,29,-8,67,27,62r0,8r-87,0r0,-8xm99,-77r0,-131r-85,131r85,0","w":177,"k":{"]":3,"}":4,"+":6,"\\":5,"9":3,"7":4,"4":-3,")":6,"V":5,"T":5,"W":4,"Y":5,"J":-15,"'":8,"\"":8}},"5":{"d":"160,-81v0,54,-29,86,-83,86v-32,0,-55,-12,-61,-38v0,-11,8,-20,19,-20v23,-2,27,36,5,38v7,9,20,14,36,14v38,-2,48,-34,49,-75v0,-39,-7,-75,-43,-75v-27,0,-38,19,-50,37r-6,0r11,-141v33,16,95,22,116,-8r5,2v-10,26,-25,49,-57,49v-29,0,-42,-15,-60,-30r-9,121v15,-24,28,-37,59,-37v48,0,69,30,69,77","w":176,"k":{"2":3,".":3,",":3,"\u2026":3}},"6":{"d":"148,-240v-4,-8,-19,-16,-32,-14v-57,7,-58,75,-59,143v8,-28,23,-50,57,-50v46,0,71,32,71,80v0,54,-29,86,-82,86v-61,0,-81,-51,-81,-121v1,-77,22,-144,93,-144v31,0,51,14,57,39v0,10,-9,19,-19,19v-23,2,-27,-36,-5,-38xm109,-154v-67,0,-67,143,-5,152v38,-2,46,-37,46,-79v1,-42,-9,-73,-41,-73","w":197,"k":{"]":4,"}":6,")":9}},"7":{"d":"64,-12v0,-85,36,-160,79,-210r-96,0v-22,2,-23,17,-26,43r-9,0v0,-26,2,-52,-1,-76r158,0v-7,32,-41,54,-51,84v-15,46,-21,97,-20,159v0,11,-6,17,-17,17v-11,0,-17,-6,-17,-17","w":172,"k":{"]":3,"#":11,"+":12,"=":9,"\/":12,"-":16,"8":3,"7":-3,"6":5,"4":12,"0":5,"X":-10,"V":-15,"O":7,"C":7,"G":7,"Q":7,"T":-5,"U":-4,"W":-17,"Y":-14,".":17,",":17,"\u2026":17,"A":13}},"8":{"d":"77,-134v-26,-7,-50,-29,-50,-63v0,-40,30,-63,71,-63v39,0,67,23,67,63v0,36,-18,52,-47,63v35,6,62,30,62,70v0,46,-35,69,-82,69v-47,0,-82,-22,-82,-69v0,-41,27,-64,61,-70xm98,-132v-38,1,-47,29,-47,68v0,37,11,63,47,63v36,0,47,-26,47,-63v0,-39,-9,-68,-47,-68xm98,-253v-30,0,-36,25,-36,56v0,32,6,61,36,61v28,0,32,-30,32,-61v0,-30,-4,-56,-32,-56","w":195,"k":{"]":5,"}":6,"+":4,"\\":3,")":10,"V":5,"U":3,"W":4,"Y":5,"J":3,"'":3,"\"":3}},"9":{"d":"45,-53v23,0,27,36,5,38v4,8,19,16,32,14v58,-7,57,-75,59,-143v-10,27,-23,50,-58,50v-47,-1,-70,-31,-70,-80v1,-54,28,-86,82,-86v61,0,83,51,81,121v-2,75,-22,144,-93,144v-31,0,-52,-13,-57,-38v-2,-11,8,-20,19,-20xm89,-101v67,0,67,-152,4,-152v-38,0,-45,37,-45,79v-1,42,9,73,41,73","w":197,"k":{"]":5,"}":7,"\/":3,")":10,"V":4,"Y":4,"J":3,".":10,",":10,"\u2026":10,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":6}},"E":{"d":"143,-84v0,-22,-5,-40,-27,-41r-41,0r0,87v-7,41,39,29,74,30v38,1,38,-28,41,-64r8,0v0,24,-2,49,1,72r-186,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r179,0v-3,20,-3,44,-1,65r-8,0v-4,-31,-4,-58,-38,-57v-34,1,-70,-10,-70,30r0,85v38,2,72,2,67,-40r8,0v1,30,-2,61,2,88r-9,0","w":224,"k":{"\u2014":3,"\u2013":3,"-":3,"g":2}},"w":{"d":"84,2r-65,-171v-3,-9,-17,-3,-15,-16v23,3,54,1,78,0r0,7v-13,0,-33,-1,-27,14r41,120r52,-143r9,0r55,146r41,-131v-4,-7,-15,-6,-26,-6r0,-7v16,0,37,2,51,0v1,13,-18,8,-20,27r-54,160r-6,0r-57,-145r-51,145r-6,0","w":281,"k":{"J":3,"X":9,"Y":4,"W":2,"V":3,"F":2,"U":2,"o":2,"e":2,"d":2,"q":2,"c":2,"?":8,")":10,"\u2014":8,"\u2013":8,"-":8,"l":2,"h":2,"k":2,".":14,",":14,"\u2026":14,"L":3,"B":3,"D":3,"N":3,"M":3,"K":3,"E":3,"H":3,"I":3,"R":3,"P":3,"A":12,"}":4,"]":4,"\/":7,"&":3}},"{":{"d":"99,68v-52,2,-61,-32,-61,-85v0,-40,7,-83,-29,-87v1,-2,-2,-8,2,-7v65,-13,-24,-172,88,-171r0,7v-35,1,-27,39,-28,77v-2,48,-14,81,-52,90v37,10,51,43,52,91v1,39,-7,76,28,78r0,7","w":108,"k":{"{":6,"9":4,"8":6,"6":7,"5":4,"4":8,"3":4,"0":8,"(":6,"v":4,"F":3,"O":8,"C":8,"G":8,"Q":8,"U":3,"J":-48,"o":10,"e":10,"d":10,"q":10,"c":10,"u":6,"t":4,"j":-21,"w":4,"s":7,"a":7,"z":5,"n":4,"r":4,"m":4,"S":4}},"H":{"d":"13,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r91,0r0,7v-50,-3,-22,74,-29,116r117,0v-7,-43,21,-119,-29,-116r0,-7r92,0r0,7v-22,-1,-29,8,-29,31r0,179v-2,23,7,31,29,31r0,7r-92,0r0,-7v51,3,22,-75,29,-118r-117,0v7,43,-21,121,29,118r0,7r-91,0r0,-7","w":267,"k":{"O":3,"C":3,"G":3,"Q":3,"o":6,"e":6,"d":6,"q":6,"c":6,"p":4,"u":5,"t":3,"j":2,"v":4,"y":5,"4":3,"w":4,"\u2014":9,"\u2013":9,"-":9,"b":2,"s":2,"a":3,"g":5,"0":3}},"\u2026":{"d":"137,5v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23xm36,5v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23xm238,5v-11,0,-25,-11,-23,-23v-2,-12,12,-23,23,-23v11,0,23,12,23,23v0,11,-12,23,-23,23","w":273},"@":{"d":"55,-76v-7,105,96,155,179,108r2,5v-20,13,-43,21,-78,21v-81,-3,-134,-43,-134,-126v0,-100,57,-172,156,-172v84,0,132,45,132,127v0,69,-29,118,-92,118v-18,0,-29,-9,-27,-30v-9,16,-29,31,-49,30v-33,-1,-46,-24,-45,-59v2,-65,24,-130,86,-136v17,-2,30,9,32,23r3,-18v12,0,24,-2,33,-5v-9,61,-26,117,-30,182v1,3,3,5,8,5v51,-8,75,-49,75,-110v0,-73,-41,-118,-117,-118v-86,0,-128,67,-134,155xm131,-52v-4,43,31,60,52,32v22,-30,20,-87,31,-129v1,-20,-7,-32,-24,-33v-47,10,-53,75,-59,130","w":330,"k":{"\u2019":4,"X":3,"Y":10,"W":7,"V":9,"'":4,"\"":4}},"\u201c":{"d":"112,-199v12,23,-24,39,-35,20v-16,-27,2,-64,25,-71r3,6v-16,5,-29,21,-21,37v11,-8,24,-1,28,8xm57,-199v10,24,-25,38,-36,20v-14,-25,2,-64,25,-71r4,6v-16,6,-28,19,-22,37v11,-8,25,-1,29,8","w":128,"k":{"o":4,"e":4,"d":4,"q":4,"c":4,"g":3,".":42,",":42,"\u2026":42,"A":19}},"\u201d":{"d":"15,-238v15,-27,48,-7,42,22v-4,20,-13,37,-30,44r-4,-5v16,-6,28,-20,22,-38v-16,10,-35,-5,-30,-23xm71,-238v7,-23,42,-12,41,8v5,27,-10,49,-30,58r-4,-5v16,-6,29,-19,23,-38v-17,10,-35,-4,-30,-23","w":128,"k":{",":41,"O":3,"C":3,"G":3,"Q":3,"o":6,"e":6,"d":6,"q":6,"c":6,"\u2014":10,"\u2013":10,"-":10,"s":3,"a":4,"g":6,".":41,"\u2026":41,"A":20}},"\u2014":{"d":"25,-104r268,0r0,14r-268,0r0,-14","w":318,"k":{"F":9,"T":24,"U":7,"V":17,"W":15,"Y":22,"J":8,"p":6,"u":6,"t":7,"j":6,"v":9,"y":11,"w":9,"\u201d":6,"\u2019":6,"'":5,"\"":5,"l":6,"b":3,"h":6,"k":6,"s":5,"a":8,"g":4,"L":9,"B":9,"D":9,"N":9,"M":9,"K":9,"E":9,"H":9,"I":9,"R":9,"P":9,"A":10,"z":9,"X":14,"x":13,"Z":15,"n":8,"r":8,"m":8,"f":8,"i":8,"S":3}},"\u2018":{"d":"20,-206v14,-12,37,0,36,17v2,13,-11,25,-23,24v-29,-2,-34,-45,-18,-67v6,-10,15,-18,28,-24v6,17,-33,20,-23,50","w":72,"k":{"o":4,"e":4,"d":4,"q":4,"c":4,"g":3,".":42,",":42,"\u2026":42,"A":19}},"\u2019":{"d":"47,-215v-14,12,-37,0,-36,-17v-2,-13,11,-25,23,-24v29,2,34,45,18,67v-6,10,-15,18,-28,24v-6,-17,33,-20,23,-50","w":72,"k":{"&":6,"|":3,"\/":17,"@":12,"O":3,"C":3,"G":3,"Q":3,"o":6,"e":6,"d":6,"q":6,"c":6,"\u2014":10,"\u2013":10,"-":10,"s":3,"a":4,"g":6,".":41,",":41,"\u2026":41,"A":20}},"'":{"d":"22,-263v8,0,13,8,13,17v0,31,-8,48,-11,78r-5,0v-4,-27,-9,-49,-10,-78v0,-9,6,-17,13,-17","w":43,"k":{"o":5,"e":5,"d":5,"q":5,"c":5,"4":17,"\u2014":5,"\u2013":5,"-":5,"a":3,"g":5,".":32,",":32,"\u2026":32,"A":20,"\/":17,"&":7,"@":12,"|":3}},"\"":{"d":"61,-263v8,0,13,8,13,17v0,31,-8,48,-11,78r-5,0v-4,-27,-9,-49,-10,-78v0,-9,6,-17,13,-17xm22,-263v8,0,13,8,13,17v0,31,-8,48,-11,78r-5,0v-4,-27,-9,-49,-10,-78v0,-9,6,-17,13,-17","w":83,"k":{",":32,".":32,"o":5,"e":5,"d":5,"q":5,"c":5,"4":17,"\u2014":5,"\u2013":5,"-":5,"a":3,"g":5,"\u2026":32,"A":20,"\/":17,"&":7,"@":12,"|":3}},"\u2013":{"d":"25,-104r163,0r0,14r-163,0r0,-14","w":213,"k":{"F":9,"T":24,"U":7,"V":17,"W":15,"Y":22,"J":8,"p":6,"u":6,"t":7,"j":6,"v":9,"y":11,"w":9,"\u201d":6,"\u2019":6,"'":5,"\"":5,"l":6,"b":3,"h":6,"k":6,"s":5,"a":8,"g":4,"L":9,"B":9,"D":9,"N":9,"M":9,"K":9,"E":9,"H":9,"I":9,"R":9,"P":9,"A":10,"z":9,"X":14,"x":13,"Z":15,"n":8,"r":8,"m":8,"f":8,"i":8,"S":3}},"-":{"d":"16,-107r130,0r0,21r-130,0r0,-21","w":162,"k":{"9":9,"7":20,"5":6,"3":10,"2":20,"1":11,"F":9,"T":24,"U":7,"V":17,"W":15,"Y":22,"J":8,"p":6,"u":6,"t":7,"j":6,"v":9,"y":11,"w":9,"\u201d":6,"\u2019":6,"'":5,"\"":5,"l":6,"b":3,"h":6,"k":6,"s":5,"a":8,"g":4,"L":9,"B":9,"D":9,"N":9,"M":9,"K":9,"E":9,"H":9,"I":9,"R":9,"P":9,"A":10,"z":9,"X":14,"x":13,"Z":15,"n":8,"r":8,"m":8,"f":8,"i":8,"S":3}},"\/":{"d":"16,5r98,-265r12,0r-98,265r-12,0","w":142,"k":{"\/":51,"6":3,"4":11,"0":3,"V":-4,"O":4,"C":4,"G":4,"Q":4,"W":-7,"Y":-3,"o":10,"e":10,"d":10,"q":10,"c":10,"s":9,"a":9,"g":10,"A":15,"z":3}},"\\":{"d":"126,5r-98,-265r-12,0r98,265r12,0","w":142,"k":{"\u2019":17,"7":10,"v":9,"V":15,"O":3,"C":3,"G":3,"Q":3,"T":10,"U":8,"W":14,"Y":12,"J":-30,"t":3,"y":9,"w":8,"'":17,"\"":17,"A":-4}},"_":{"d":"25,41r163,0r0,14r-163,0r0,-14","w":216},"=":{"d":"18,-97r0,-11r180,0r0,11r-180,0xm18,-148r0,-10r180,0r0,10r-180,0","k":{"7":5,"3":12,"2":4,"1":6}},"+":{"d":"18,-133r84,0r0,-85r12,0r0,85r84,0r0,11r-84,0r0,84r-12,0r0,-84r-84,0r0,-11","k":{"8":4,"7":16,"3":10,"2":11,"1":8}},"\u00d7":{"d":"37,-66r63,-62r-63,-63r8,-8r63,63r62,-62r8,8r-62,62r62,62r-8,8r-62,-62r-63,62"},"|":{"d":"44,-309r0,379r-15,0r0,-379r15,0","w":69,"k":{"\u2019":4,"j":-4,"J":-35,"o":4,"e":4,"d":4,"q":4,"c":4,"'":3,"\"":3,"a":3}},"$":{"d":"27,-197v0,-35,22,-56,53,-60r0,-45r7,0r0,44v7,-1,17,-1,23,1r0,-45r7,0r0,46v12,2,22,15,34,16v9,1,2,-20,16,-16r-2,73r-8,0v-3,-31,-16,-57,-40,-66r0,106v28,19,62,35,62,80v0,41,-26,63,-62,67r0,44r-7,0r0,-43r-23,-1r0,44r-7,0r0,-45v-22,-4,-42,-31,-47,0r-8,0r2,-87r8,0v2,37,15,70,45,79r0,-118v-25,-15,-53,-34,-53,-74xm87,-3v7,2,16,1,23,0r0,-101v-6,-4,-13,-8,-23,-14r0,115xm110,-251v-7,-1,-16,-2,-23,0r0,90r23,14r0,-104xm117,-4v34,-3,39,-61,15,-82v-5,-5,-9,-9,-15,-13r0,95xm80,-249v-31,7,-33,58,-10,74v4,4,7,7,10,9r0,-83","w":205},"I":{"d":"104,-248v-22,0,-29,8,-29,31r0,179v-2,23,8,31,29,31r0,7r-91,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7r91,0r0,7","w":117,"k":{"O":3,"C":3,"G":3,"Q":3,"o":6,"e":6,"d":6,"q":6,"c":6,"p":4,"u":5,"t":3,"j":2,"v":4,"y":5,"4":3,"w":4,"\u2014":9,"\u2013":9,"-":9,"b":2,"s":2,"a":3,"g":5,"0":3}},"&":{"d":"160,-213v-24,0,-25,-35,-4,-38v-38,-25,-98,-1,-81,56v8,27,34,46,68,34v5,0,13,1,12,7v-4,14,-25,4,-37,3v-44,6,-73,34,-73,81v0,43,25,64,68,68v69,6,89,-75,50,-115v-25,4,-53,10,-55,34v-1,17,11,23,25,18v4,7,-1,9,-10,8v-13,-1,-24,-10,-24,-25v5,-56,102,-32,129,-67v-21,-3,-19,-38,5,-38v11,0,19,9,19,19v0,27,-31,36,-57,43v11,12,19,30,18,51v-3,54,-43,79,-101,79v-53,0,-100,-21,-101,-75v-1,-56,47,-73,92,-83v-35,-5,-64,-22,-64,-60v0,-39,35,-55,76,-55v32,0,60,8,64,36v1,11,-8,19,-19,19","w":267,"k":{"v":-5,"X":19,"V":3,"F":3,"W":2,"Y":4,"J":2,"o":2,"e":2,"d":2,"q":2,"c":2,"t":-2,"y":-5,"w":-5,"l":3,"h":3,"k":3,"L":2,"B":2,"D":2,"N":2,"M":2,"K":2,"E":2,"H":2,"I":2,"R":2,"P":2,"A":10}},"~":{"d":"188,-123v-8,55,-88,37,-119,15v-22,-8,-51,-4,-56,17r-6,-2v8,-55,88,-37,119,-15v22,8,51,4,56,-17","w":195},"#":{"d":"192,-96r-2,7r-53,0r-10,53r-7,0r10,-53r-60,0r-10,53r-7,0r10,-53r-53,0r1,-7r53,0r12,-60r-53,0r1,-7r53,0r10,-54r8,0r-11,54r60,0r11,-54r7,0r-10,54r52,0r-1,7r-53,0r-11,60r53,0xm71,-96r60,0r12,-60r-60,0","k":{"7":6,"3":12,"2":4,"1":6}},"}":{"d":"9,68v52,2,61,-32,61,-85v0,-40,-7,-83,29,-87v-1,-2,2,-8,-2,-7v-65,-13,24,-172,-88,-171r0,7v35,1,27,39,28,77v2,48,14,81,52,90v-37,10,-51,43,-52,91v-1,39,7,76,-28,78r0,7","w":108,"k":{"]":4,"}":6,")":7}},"[":{"d":"29,-278r61,0r0,7r-29,0r0,329r29,0r0,7r-61,0r0,-343","w":99,"k":{"{":4,"9":4,"8":5,"6":5,"5":4,"4":4,"3":4,"2":3,"1":3,"0":5,"(":4,"v":4,"j":-21,"F":4,"O":6,"C":6,"G":6,"Q":6,"U":4,"J":-48,"o":8,"e":8,"d":8,"q":8,"c":8,"u":5,"t":4,"w":4,"s":6,"a":6,"z":4,"n":4,"r":4,"m":4,"S":4}},"]":{"d":"70,-278r-61,0r0,7r29,0r0,329r-29,0r0,7r61,0r0,-343","w":99},"<":{"d":"191,-210r6,13r-147,69r147,69r-6,13r-175,-82"},">":{"d":"25,-210r-6,13r147,69r-147,69r6,13r175,-82"},"%":{"d":"69,-267v-23,1,-28,24,-28,53v0,29,6,53,30,53v39,0,37,-107,-2,-106xm70,-155v-33,0,-55,-22,-54,-58v1,-36,18,-60,54,-61v33,-1,53,23,53,59v0,37,-19,60,-53,60xm174,-108v-37,1,-39,108,2,107v39,-3,37,-106,-2,-107xm175,5v-34,0,-55,-23,-54,-59v1,-36,19,-60,54,-60v34,0,55,23,54,59v-1,35,-19,60,-54,60xm14,15r211,-312r6,5r-210,312","w":249},"A":{"d":"154,-7v52,-2,3,-62,-2,-89r-86,0v-9,24,-21,48,-27,74v0,14,12,14,25,15r0,7v-19,0,-39,-2,-57,0v1,-15,21,-8,25,-30r88,-227r6,0r87,227v6,14,13,21,25,23r0,7r-84,0r0,-7xm69,-104r80,0r-40,-104","w":245,"k":{"O":5,"C":5,"G":5,"Q":5,"T":17,"U":10,"V":19,"W":17,"Y":17,"J":2,"o":3,"e":3,"d":3,"q":3,"c":3,"p":3,"u":5,"t":5,"j":3,"v":15,"y":17,"?":4,")":3,"*":17,"7":11,"w":14,"\u201d":20,"\u2019":20,"'":20,"\"":20,"\u2014":10,"\u2013":10,"-":10,"\\":15,"\u2122":17,"\u201c":19,"\u2018":19,"\/":-4,"0":4,"6":3}},"^":{"d":"147,-116v-25,-9,-58,-27,-75,-43v-14,16,-38,34,-60,43r-3,-5v29,-15,55,-39,67,-69r7,0v12,30,38,54,67,69","w":159},"\u2122":{"d":"191,-228v0,-14,-3,-21,-18,-20r0,-7v16,0,32,2,47,0r44,107r39,-106r45,-1r0,7v-14,0,-18,5,-18,20r0,103v2,9,8,9,18,10r0,7r-59,0v-1,-14,19,-3,14,-27r0,-96r-47,125r-5,0r-52,-126r1,107v0,9,6,9,14,10r0,7v-13,0,-29,-2,-41,0r0,-7v14,1,18,-6,18,-20r0,-93xm48,-115v18,1,26,-5,26,-24r0,-108v-34,-3,-41,10,-43,43r-8,0v0,-17,2,-35,-1,-51r130,0v-3,15,-3,35,-1,51r-8,0v-2,-33,-9,-47,-43,-43r0,108v-1,19,7,25,26,24r0,7r-78,0r0,-7","w":369,"k":{"V":-4,"W":-5,"Y":-3,"A":13,"S":3}},"R":{"d":"192,-38v3,30,26,39,38,16r5,4v-10,26,-57,32,-71,3v-17,-35,-3,-103,-55,-106r-34,0v6,42,-21,117,29,114r0,7r-91,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7v81,1,185,-15,185,63v0,41,-34,64,-71,70v47,1,61,41,65,84xm102,-248v-49,-1,-19,78,-27,120v53,4,89,-10,87,-60v-1,-40,-18,-60,-60,-60","w":229,"k":{"O":3,"C":3,"G":3,"Q":3,"T":3,"U":4,"V":8,"W":6,"Y":7,"J":2,"o":3,"e":3,"d":3,"q":3,"c":3,"p":2,"u":3,"t":3,"j":2,"v":5,"y":5,"?":3,")":4,"*":6,"3":-2,"4":9,"7":3,"w":4,"\u201d":4,"\u2019":4,"'":3,"\"":3,"\u2014":4,"\u2013":4,"-":4,"\\":5,"\u2122":6}},"P":{"d":"75,-103v4,38,-16,101,29,96r0,7r-91,0r0,-7v21,0,29,-8,29,-31r0,-179v2,-23,-8,-31,-29,-31r0,-7v85,0,185,-13,185,71v0,63,-50,86,-123,81xm102,-248v-21,-1,-27,9,-27,31r0,107v58,5,89,-16,87,-70v-1,-45,-15,-67,-60,-68","w":210,"k":{"]":4,"}":4,"&":3,"\/":12,"@":3,"4":10,")":9,"X":7,"o":5,"e":5,"d":5,"q":5,"c":5,"\u2014":15,"\u2013":15,"-":15,"l":4,"b":2,"h":4,"k":4,"s":2,"a":3,"g":3,".":28,",":28,"\u2026":28,"L":2,"B":2,"D":2,"N":2,"M":2,"K":2,"E":2,"H":2,"I":2,"R":2,"P":2,"A":18}},"\u00a0":{"w":87}}});
